//
//  FTPhoto.h
//  ForrstAPI
//
//  Created by Benjamin on 06/06/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


/**********************************************
 ** FTPhoto Interface 
 ***********************************************/
@interface FTPhoto : NSObject {
	NSDictionary *photoURLs;
}

/* A dictionary containing links to all the photos.
 * It is usually better to access them through -photoURLForUserPhotoSize: */
@property (retain) NSDictionary *photoURLs;

/* Initializer which set the 'photoURLs' ivar. */
- (id) initWithPhotoURLs:(NSDictionary *)thePhotoURLs;

/* Returns an NSURL object with the link to the requested photo size. */
- (NSURL *) photoURLForUserPhotoSize:(NSString *)aPhotoSize;

/* Returns an NSString object with the link to the requested photo size. */
- (NSString *) photoURLStringForUserPhotoSize:(NSString *)aPhotoSize;

@end