//
//  FTUsageStatus.m
//  FTForrstEngine
//
//  Created by Benjamin on 10/06/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "FTUsageStatus.h"


/**********************************************
 ** FTUsageStatus Interface Extension
 ***********************************************/
@interface FTUsageStatus ()

@property (readwrite) NSUInteger rateLimit;
@property (readwrite) NSUInteger callsMade;

@end

/**********************************************
 ** FTUsageStatus Implementation
 ***********************************************/
@implementation FTUsageStatus
@synthesize rateLimit;
@synthesize callsMade;

- (NSString *) description 
{
	return [NSString stringWithFormat:@"Calls made: %i/%i", callsMade, rateLimit];
}

- (id) initWithResponseDictionary:(NSDictionary *)aResponseDictionary
{
	self = [super init];
	if (self)
	{
		[self setResponseDictionary:aResponseDictionary];
	}
	
	return self;
}

- (void) setResponseDictionary:(NSDictionary *)aResponseDictionary
{
	// Set the rate limit
	rateLimit = [[aResponseDictionary objectForKey:@"rate_limit"] integerValue];
	
	// Set calls made
	callsMade = [[aResponseDictionary objectForKey:@"calls_made"] integerValue];
}

@end
