//
//  FTUser.h
//  ForrstAPI
//
//  Created by Benjamin on 05/06/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "FTPhoto.h"

/**********************************************
 ** FTUser Constants 
 ***********************************************/
typedef enum {
	FTUserKindDeveloper,
	FTUserKindDesigner,
	FTUserKindDeveloperDesigner,
	FTUserKindUnknown
} FTUserKind;

// Possible values for an FTPhoto representing a user's profile picture
extern NSString* const FTUserPhotoSizeExtraLarge;
extern NSString* const FTUserPhotoSizeLarge;
extern NSString* const FTUserPhotoSizeMedium;
extern NSString* const FTUserPhotoSizeSmall;
extern NSString* const FTUserPhotoSizeThumbnail;

/**********************************************
 ** FTUser Interface 
 ***********************************************/
@interface FTUser : NSObject {
	NSUInteger userID;
	NSString *name;
	NSString *username;
	
	BOOL hasForrstMe;
	FTUserKind userKind;
	NSArray *tags;
	NSString *htmlBio;
	NSString *homepage;
	NSString *profileURL;
	FTPhoto *userPhoto;
	NSString *twitterUsername;
	
	NSUInteger postsNumber;
	NSUInteger likesNumber;
	NSUInteger commentsNumber;
	NSUInteger followersNumber;
	NSUInteger followingNumber;
}

@property () NSUInteger userID;
@property (copy) NSString *name;
@property (copy) NSString *username;

@property () BOOL hasForrstMe;
@property () FTUserKind userKind;
@property (retain) NSArray *tags;
@property (copy) NSString *htmlBio;
@property (copy) NSString *homepage;
@property (copy) NSString *profileURL;
@property (retain) FTPhoto *userPhoto;
@property (copy) NSString *twitterUsername;

@property () NSUInteger postsNumber;
@property () NSUInteger likesNumber;
@property () NSUInteger commentsNumber;
@property () NSUInteger followersNumber;
@property () NSUInteger followingNumber;

/* Initializes an FTUser with only 'userID' set. Suitable for passing
 * into a load request in FTForrstEngine. */
- (id) initWithUserID:(NSUInteger)aUserID;

/* Initializes an FTUser with only 'username' set. Suitable for passing
 * into a load request in FTForrstEngine. */
- (id) initWithUsername:(NSString *)aUsername;

/* These methods should only be called internally by FTForrstEngine.
 * The response dictionary should be the 'resp' dictionary of the data returned from the server.
 * FTPost will extract the appropriate keys and load them into the variables. */
- (id) initWithResponseDictionary:(NSDictionary *)aDictionary;
- (void) setResponseDictionary:(NSDictionary *)aDictionary;

@end
